USB_UNLINK_ANCHORED_(9)

NAME
usb_unlink_anchored_urbs - asynchronously cancel transfer requests en masse

SYNOPSIS

void usb_unlink_anchored_urbs(struct usb_anchor * anchor);

ARGUMENTS

anchor
    anchor the requests are bound to

DESCRIPTION

this allows all outstanding URBs to be unlinked starting from the back of the queue. This function is asynchronous. The unlinking is just triggered. It may happen after this function has returned.

This routine should not be called by a driver after its disconnect method has returned.

COPYRIGHT